Index: npl/mailserver/kopano_conf/kopano_conf.arch
===================================================================
--- npl/mailserver/kopano_conf/kopano_conf.arch	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/kopano_conf.arch	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
@@ -0,0 +1,1 @@
+noarch
Index: npl/mailserver/kopano_conf/kopano_conf.build
===================================================================
--- npl/mailserver/kopano_conf/kopano_conf.build	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/kopano_conf.build	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
@@ -0,0 +1,1 @@
+2
Index: npl/mailserver/kopano_conf/kopano_conf.md5
===================================================================
--- npl/mailserver/kopano_conf/kopano_conf.md5	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/kopano_conf.md5	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
@@ -0,0 +1,34 @@
+132f9db3eec66dee0adbeaec8d8ac36b  ./kopano_conf.pkg
+1f5f7d6f71d47c726d70daff8100c56f  ./kopano_conf.SlackBuild
+77b6bb3f3aa54e5b152f316db384fc7f  ./kopano_conf.SlackBuild.log.gz
+a45e29051403621fca1dc3c928eb8f22  ./root/etc/cron.weekly/kopano_clean
+d18244609c03ac09e36a1f505df1a5d2  ./root/etc/kopano/backup.cfg
+2298ebabcee9a0b3c2189fb13a68e851  ./root/etc/kopano/dagent.cfg
+c53763f4bc2691f6bd5c395da46d3ab4  ./root/etc/kopano/gateway.cfg
+b9ff619fb44a9a7e7b468dc00c1cc2e1  ./root/etc/kopano/gateway-conv.cfg
+9b22e7273f3082f14da4feb5d5303f74  ./root/etc/kopano/ical.cfg
+b87d06d28243fbed1e63101c7f577140  ./root/etc/kopano/ldap.cfg
+02db909aea9dc9f5e9bc9543bd0bbec3  ./root/etc/kopano/ldapms.active-directory.cfg
+4ae964bb2ec88cd640455a88af758f7f  ./root/etc/kopano/ldapms.openldap.cfg
+71c5705e00d5d502f4fd696e03d18ff8  ./root/etc/kopano/licensed.cfg
+1076be7dc82a68ff0bad779eebf39c6a  ./root/etc/kopano/monitor.cfg
+09ab6c5e5049e8de7355fdf863bc45cd  ./root/etc/kopano/search.cfg
+6df6a12bffa219cb545976edb466849a  ./root/etc/kopano/server.cfg
+d6add55726cc61ad5e4ec4a7d7e3f64d  ./root/etc/kopano/spamd.cfg
+888498d5c2dc7208341b2a1b7d6f7a0c  ./root/etc/kopano/spooler.cfg
+175d812699725aacf1c9d742dcc1447f  ./root/etc/kopano/unix.cfg
+c15aad9c7c5269ce3943ebdd45c6aca4  ./root/etc/kopano/userscripts/kopano-spamd-retrain
+61c38fc2330baa42b357af5c1d7cffe5  ./root/etc/php5/mapi.ini
+185945c3205c9181aabdc00b67bc4140  ./root/etc/postinst.d/post.kopano_conf
+42f02baf49e63eb91c0f7dc979c31dc5  ./root/service/kopano-gateway/run
+3c9de7e157b5299055ab9e9954b0688d  ./root/service/kopano-ical/run
+43abc7d89926e39ada078ee88052db74  ./root/service/kopano-licensed/run
+312080f0b7eff052d3e3b2b16fd6937c  ./root/service/kopano-monitor/run
+7604b5fe2b2db85eb15ffedce9b612d8  ./root/service/kopano-search/run
+04ff49b8991116902d3f8affd3d645e5  ./root/service/kopano-server/run
+79588c4a474140c680a9e8eaf95a9790  ./root/service/kopano-server/start
+3a570b7e029643da9a69b4a69f4cbcc8  ./root/service/kopano-spamd/run
+40549bb77378b2635b3adb2f2219517c  ./root/service/kopano-spooler/run
+e65e469379b52767a6075d5db054c652  ./root/var/www/htdocs/syn3/kopano_webapp/config.php
+78b2cc65fe10a67a4133c44a86b5e309  ./root/var/www/htdocs/syn3/kopano_webapp/webportal.desc
+a4cd55d9e54997e1ab8c7d8b1f89ee47  ./root/var/www/htdocs/syn3/kopano_webapp/webportal.png
Index: npl/mailserver/kopano_conf/kopano_conf.version
===================================================================
--- npl/mailserver/kopano_conf/kopano_conf.version	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
+++ npl/mailserver/kopano_conf/kopano_conf.version	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
@@ -0,0 +1,1 @@
+8
Index: npl/mailserver/kopano_conf/root/etc/kopano/licensed.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/licensed.cfg	(revision 84898b92427ab43677bfa70446cbedf778328a05)
+++ 	(revision )
@@ -1,39 +1,0 @@
-##############################################################
-# SERVER SETTINGS
-
-# The socket that the license server will run on
-# default: /var/run/kopano-licensed
-server_pipe_name = /var/run/kopanod/kopano-licensed
-
-# The URL on which we can contact kopano-server
-server_socket = file:///var/run/kopanod/prio.sock
-
-# License path (should contain 'base' and CALs in other files)
-license_path		= /etc/kopano/license
-
-# drop privileges and run the process as this user
-run_as_user		= kopano
-
-# drop privileges and run the process as this group
-run_as_group		= kopano
-
-# create a pid file for stopping the service via the init.d scripts
-pid_file		= /var/run/kopano-licensed.pid
-
-# run server in this path (when not using the -F switch)
-running_path = /
-
-##############################################################
-# LOG SETTINGS
-
-# Logging method (syslog, eventlog, file)
-log_method		= file
-
-# Logfile (for log_method = file, '-' for stderr)
-log_file		= /var/log/kopano/licensed.log
-
-# Loglevel (0=no logging, 5=full logging)
-log_level		= 2
-
-# Log timestamp - prefix each log line with timestamp in 'file' logging mode
-log_timestamp		= 1
Index: npl/mailserver/kopano_conf/root/etc/kopano/server.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/server.cfg	(revision 84898b92427ab43677bfa70446cbedf778328a05)
+++ npl/mailserver/kopano_conf/root/etc/kopano/server.cfg	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
@@ -84,5 +84,5 @@
 
 # The user under which we connect with MySQL
-mysql_user		= kopano
+mysql_user		= zarafa
 
 # The password for the user (leave empty for no password)
@@ -90,5 +90,5 @@
 
 # Database to connect to
-mysql_database		= kopano
+mysql_database		= zarafa
 
 # Where to place attachments. Value can be 'database' or 'files'
@@ -375,6 +375,2 @@
 # and the value of '*' is used to indicate that all connections are proxied
 proxy_header =
-
-
-
-
Index: npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf
===================================================================
--- npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf	(revision 84898b92427ab43677bfa70446cbedf778328a05)
+++ npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf	(revision 6165e17e8aca2eb6d6c21d4cdd7daad9c7596626)
@@ -2,13 +2,33 @@
 /sbin/postinst.sh post.openldap || exit 1
 
+#cleanup old zarafa stuff
+removepkg /var/log/packages/zarafa7*
+touch /var/log/packages/zarafa7-9-i586-9999
+
+removepkg /var/log/packages/zarafa_conf7*
+touch /var/log/packages/zarafa_conf7-9-i586-9999
+rm /usr/lib/python2.7/site-packages/zarafa*
+
+removepkg /var/log/packages/zarafa_licensed*
+touch /var/log/packages/zarafa_licensed-9-i586-9999
+
+removepkg /var/log/packages/zarafa_mdm*
+touch /var/log/packages/zarafa_mdm-9-noarch-9999
+
+removepkg /var/log/packages/zarafa_spamd*
+touch /var/log/packages/zarafa_spamd-9-i586-9999
+
+removepkg /var/log/packages/zarafa_webaccess*
+touch /var/log/packages/zarafa_webaccess-9-i586-9999
+touch /var/log/packages/zarafa_webaccess_muc-9-noarch-9999
+
+removepkg /var/log/packages/zarafa_webapp*
+touch /var/log/packages/zarafa_webapp-9-noarch-9999
+
+rm -rf /service/zarafa-* /etc/zarafa /usr/lib/python2.7/site-packages/zarafa* /var/www/htdocs/syn3/zarafa* /var/run/zarafa* /home/system/zarafa_webapp/ /home/system/zarafa_spamd
+rm -rf /home/system/zarafa_index/
+
+
 ldconfig #neccesary to fix hang-problems after updates?
-
-####### Cyrus stuff
-#make sure kopano imap stays down if the server uses cyrus
-if svstat /service/cyrus-imapd/|grep up; then
-	svcstop /service/kopano-gateway || exit 1
-	touch /service/kopano-gateway/down
-fi
-
 
 
@@ -16,11 +36,12 @@
 svcstart /service/mysql || exit 1
 
-echo | syn3-mysqlcreate kopano /etc/kopano/server.cfg || exit 1
+#keep database name zarafa, because we need to migrate existing db's
+echo | syn3-mysqlcreate zarafa /etc/kopano/server.cfg || exit 1
 
 
 ############# KOPANO STUFF
 
-useradd kopano 
-groupadd kopano 
+useradd kopano
+groupadd kopano
 useradd kopano-gateway
 
@@ -28,18 +49,21 @@
 chown root /etc/kopano/server.cfg || exit 1
 chmod 700 /etc/kopano/server.cfg || exit 1
-chown kopano /var/lib/kopano
-mkdir /var/run/kopanod 2>/dev/null
-chmod 775 /var/run/kopanod
-chown kopano:kopano /var/run/kopanod
+mkdir /var/run/kopano 2>/dev/null
+chmod 775 /var/run/kopano
+chown kopano:kopano /var/run/kopano
 
 #logging
 mkdir /var/log/kopano
 chown kopano /var/log/kopano || exit 1
-touch /var/log/kopano/gateway.log || exit 1
-chown kopano-gateway /var/log/kopano/gateway.log || exit 1
 
 #attachments
-mkdir /home/system/kopano 
-chown kopano /home/system/kopano || exit 1
+#migrate from zarafa?
+if [ -e /home/system/zarafa ]; then
+	chown kopano:kopano /home/system/zarafa
+	mv /home/system/zarafa /home/system/kopano
+else
+	mkdir /home/system/kopano
+	chown kopano /home/system/kopano || exit 1
+fi
 
 #search index
@@ -47,30 +71,15 @@
 chown kopano /home/system/kopano_index || exit 1
 
+
 #create public store (first time only)
 svcstart /service/kopano-server || exit 1
-kopano-admin -s 
+kopano-admin -s
 
 svcreset /service/kopano-server
 svcreset /service/mysql
 
-#remove old indexer stuff
-svc -d /service/kopano-indexer &>/dev/null
-rm -rf /service/kopano-indexer/ &>/dev/null
-
-#licensed 
-rm -rf /service/kopano-licenced #typo
-
-#remove obsolete mobile stuff
-rm -rf /var/www/htdocs/syn3/kopano-mobile/ &>/dev/null
-
-#webapp stuff
-mkdir -p /home/system/kopano_webapp &>/dev/null
-chown nobody /home/system/kopano_webapp
-
 #dagent stuff
 touch /var/log/kopano/dagent.log
 chown alias /var/log/kopano/dagent.log
-#kopano-dagent expect autoresponder in differen place (weird)
-ln -s /usr/bin/kopano-autorespond /usr/sbin/kopano-autorespond 2>/dev/null
 
 #spamd stuff
@@ -98,20 +107,4 @@
 svcreset /service/slapd || exit 1
 
-######## cleanup
-#old versions leave behind some unused libs
-removepkg /var/log/packages/kopano7-7.1* /var/log/packages/kopano-* 2>/dev/null
-touch /var/log/packages/kopano-999-i586-9999 #prevent reinstall
-rm /usr/lib/libkopanoclient.so /usr/lib/libkopanocontacts.so 2>/dev/null
-
-#old webapp plugins give conflicts
-removepkg /var/log/packages/kopano_webapp-1* /var/log/packages/kopano_webapp-2.1.*
-cd /var/www/htdocs/syn3/kopano_webapp/plugins/
-rm -rf example/ zperformance/ webodf/ twidget/ spreed/ shellgame/ salesforce/ oauthlib/ feedback/ facebook/ extbox/ dropboxattachment/ sugarcrm/ statslogging/ facebookwidget/ pdfbox/
-cd
-
-#delete old indexer index db 
-rm /home/system/kopano_index/state-* /home/system/kopano_index/*.kct /home/system/kopano_index/*.tmpkct 2>/dev/null
-
-
 
 
Index: npl/mailserver/kopano_conf/root/service/kopano-licensed/run
===================================================================
--- npl/mailserver/kopano_conf/root/service/kopano-licensed/run	(revision 84898b92427ab43677bfa70446cbedf778328a05)
+++ 	(revision )
@@ -1,3 +1,0 @@
-#!/bin/bash
-
-GCONV_PATH=/opt/kopano-licensed/lib LD_LIBRARY_PATH=/opt/kopano-licensed/lib/ exec /opt/kopano-licensed/lib/ld-linux.so.2 /opt/kopano-licensed/bin/kopano-licensed -F