Index: npl/internetserver/wireguard_tools/slack-desc
===================================================================
--- npl/internetserver/wireguard_tools/slack-desc	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/slack-desc	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+               |-----handy-ruler------------------------------------------------------|
+wireguard-tools: wireguard-tools (Utilities for WireGuard tunnels)
+wireguard-tools:
+wireguard-tools: This supplies the main userspace tooling for using and configuring
+wireguard-tools: WireGuard tunnels, including the wg(8) and wg-quick(8) utilities.
+wireguard-tools:
+wireguard-tools: For more information about WireGuard, see: https://www.wireguard.com/
+wireguard-tools:
+wireguard-tools: Homepage: https://git.zx2c4.com/wireguard-tools
+wireguard-tools:
+wireguard-tools:
+wireguard-tools:
Index: npl/internetserver/wireguard_tools/wireguard-tools-1.0.20210914.tar.asc
===================================================================
--- npl/internetserver/wireguard_tools/wireguard-tools-1.0.20210914.tar.asc	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/wireguard-tools-1.0.20210914.tar.asc	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+
+iQJEBAABCAAuFiEEq5lC5tSkz8NBJiCnSfxwEqXeA64FAmE/1BYQHGphc29uQHp4
+MmM0LmNvbQAKCRBJ/HASpd4DrsTyEADFITx6L/xUjq3oFjvgy4rnjWU4jiyNqwQ0
+C9Q+gi0RiFem3RyTefW8DO8Yaj/U1tRsqGOeLuKmkxOY81pw2OqZ/KWPcOL0EmIh
+iuIIk8v+jEVoJZlOYyRRNdAfhruHFZEq8DlQvpUXORqanNN+cbWHxyMfqFSxw+Mp
+P4Zusc5L8u7xgmkltWu6GuKWnqEbFV9T7mOxmiyhnKisM5zQFUkTpl1wpUNszpLY
+WyTQBwxnjwp9TCzY75Er5Ud0rDJY1JGY1ZsCIIfeWUdeSIefgQVXo4s4Xk9XyjRf
+nJ+ISJgceTfoZIhvtqm2zMw4/lSay7ABrmrv+/6JPuKHXUMCeqH4jzqq9cRuGVc4
++FeTVvU7tLeKb8Oo2ddviVhiQsPXUGhtWZgIs2C4yMOH7phzsa0HbIlX+fFlQDLm
+aKRKxEWybICDibKl0EKC3Mr8qBnMAKLYYTkMTVE31TJM5s9krfvFkVBxRNLswJif
+ddPLLoW+KL3fYCSFXbIxcMbv7m5/B4MqP0HxtK00e0PmuwkNEtBU1bLVoQo2V3Nw
+0PmVxFnhgswoqPBmNuywffcHFI1MP5XnotJQXpGBAIVSLzZSGIwBdxkf4VQs13Gh
+Sn0ZRw5Yp6sbk9GKNdIHOc8mGQPiC70kJQA9rI+z8OlnH4FMIhs7gAUf3sbwmOn1
+NiZp6ZxOEg==
+=9z/c
+-----END PGP SIGNATURE-----
Index: npl/internetserver/wireguard_tools/wireguard-tools.SlackBuild.orig
===================================================================
--- npl/internetserver/wireguard_tools/wireguard-tools.SlackBuild.orig	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/wireguard-tools.SlackBuild.orig	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,119 @@
+#!/bin/bash
+
+# Copyright 2021  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=wireguard-tools
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$(uname -m)" in
+    i?86) ARCH=i586 ;;
+    arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+    *) ARCH=$(uname -m) ;;
+  esac
+  export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+  SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION/src || exit 1
+
+chown -R root:root .
+#find . \
+#  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+#  -exec chmod 755 {} \+ -o \
+#  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+#  -exec chmod 644 {} \+
+
+# Build:
+MANDIR=/usr/man \
+LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+make $NUMJOBS || exit 1
+
+# Install:
+MANDIR=/usr/man \
+LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+DESTDIR=$PKG \
+make install || exit 1
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+  ln -s $( readlink $i ).gz $i.gz
+  rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  ../COPYING* ../README* \
+  $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/internetserver/wireguard_tools/wireguard-tools.url
===================================================================
--- npl/internetserver/wireguard_tools/wireguard-tools.url	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/wireguard-tools.url	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,1 @@
+https://git.zx2c4.com/wireguard-tools
Index: npl/internetserver/wireguard_tools/wireguard_tools.SlackBuild
===================================================================
--- npl/internetserver/wireguard_tools/wireguard_tools.SlackBuild	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/wireguard_tools.SlackBuild	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/wireguard-tools/
+# Created at Fri 25 Feb 2022 11:54:36 AM CET
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./wireguard-tools.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/internetserver/wireguard_tools/wireguard_tools.arch
===================================================================
--- npl/internetserver/wireguard_tools/wireguard_tools.arch	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/wireguard_tools.arch	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,1 @@
+i586
Index: npl/internetserver/wireguard_tools/wireguard_tools.build
===================================================================
--- npl/internetserver/wireguard_tools/wireguard_tools.build	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/wireguard_tools.build	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,1 @@
+2
Index: npl/internetserver/wireguard_tools/wireguard_tools.md5
===================================================================
--- npl/internetserver/wireguard_tools/wireguard_tools.md5	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/wireguard_tools.md5	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,9 @@
+6320a594300e094aad7c0a06a70c6b79  ./slack-desc
+bf00ca2a74cb859fcf05d957ed62f3e6  ./wireguard-tools-1.0.20210914.tar.asc
+1d98fb1623817721466152365aec8c45  ./wireguard-tools-1.0.20210914.tar.xz
+bb2ede46c95ac05e95e7b0175de44d84  ./wireguard_tools_dev.pkg
+dd8b75627405994e5ea40f514f9e645e  ./wireguard_tools.pkg
+6ff9906e6b18affd8ec3115bce9d587e  ./wireguard_tools.SlackBuild
+99c3593f8d677d72d839b94a067ea55f  ./wireguard_tools.SlackBuild.log.gz
+f75c865e3733a81d9ebdf954365758f8  ./wireguard-tools.SlackBuild.orig
+ba22be7887019205ba39881e364aa61f  ./wireguard-tools.url
Index: npl/internetserver/wireguard_tools/wireguard_tools.version
===================================================================
--- npl/internetserver/wireguard_tools/wireguard_tools.version	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/wireguard_tools.version	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,1 @@
+1.0.20210914
Index: npl/internetserver/wireguard_tools/wireguard_tools_dev.arch
===================================================================
--- npl/internetserver/wireguard_tools/wireguard_tools_dev.arch	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/wireguard_tools_dev.arch	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,1 @@
+i586
Index: npl/internetserver/wireguard_tools/wireguard_tools_dev.build
===================================================================
--- npl/internetserver/wireguard_tools/wireguard_tools_dev.build	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/wireguard_tools_dev.build	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,1 @@
+2
Index: npl/internetserver/wireguard_tools/wireguard_tools_dev.version
===================================================================
--- npl/internetserver/wireguard_tools/wireguard_tools_dev.version	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
+++ npl/internetserver/wireguard_tools/wireguard_tools_dev.version	(revision 720681d416dfee17b71a341e6ad907d14a741b3f)
@@ -0,0 +1,1 @@
+1.0.20210914