Index: npl/perl/perl/perl.SlackBuild
===================================================================
--- npl/perl/perl/perl.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/perl/perl/perl.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,155 +1,35 @@
-#!/bin/sh
-# Build and install Perl on Slackware
-# originally by:  David Cantrell <david@slackware.com>
-# maintained by:  <volkerdi@slackware.com>
-# Modfied for Syn-3 (heavily ;)
+#!/bin/bash
+
+#DEP:mysql56
+#DEP:expat
+#DEP:openssl
+#DEP:linuxdoc_tools
+#DEP:groff
+
+removepkg perl
 
 
-CWD=`pwd`
-TMP=/tmp
-PKG=$TMP/package-perl
-
-VERSION=5.8.7
-# IMPORTANT: also update -Dinc_version_list in ./configure below!
-
-ARCH=${ARCH:-i486}
-BUILD=1
-
-# Additional required modules:
-#DBI=1.48
-#DBDMYSQL=3.0002
-#XMLPARSER=2.34
-
-if [ "$ARCH" = "i386" ]; then
-  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
-  SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "s390" ]; then
-  SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2"
-fi
-
-#if [ -x /usr/bin/perl ]; then
-#  echo "Perl detected."
-#  echo
-#  echo "It's a good idea to remove your existing perl first."
-#  echo
-#  sleep 15
-#fi
-
-# Clear build location:
-rm -rf $PKG
-mkdir -p $PKG
-
-# Extract the source code:
-cd $TMP
-rm -rf perl-$VERSION
-tar xjvf $CWD/perl-$VERSION.tar.bz2
-
-# Change into the source directory:
-cd perl-$VERSION
-
-# Adjust owner/perms to standard values:
-chown -R root.root .
-find . -perm 555 -exec chmod 755 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-
-# It is often suggested that we add this to the ./Configure:
-#     -Dusethreads -Duseithreads \
-# However, this option is considered experimental, and is not
-# recommended for production systems.  As such, we can't add
-# to our default perl build.  If you want the option anyway,
-# just uncomment the lines below and rebuild perl.
 #
-# Update:  while it's no longer considered experimental (and
-# yes, other vendors do ship threaded perl by default), enabling
-# threads causes a huge (>20%) performance hit, and I've seen
-# other reports of instability.  A few things "need" perl threads
-# but usually that's simply because they were compiled against
-# a threaded libperl... not any real need.  IMHO, shipping a
-# threaded perl by default would not be a good idea.  It's only
-# because everyone else does it that it's continually
-# reconsidered here.
-#USE_THREADS="-Dusethreads -Duseithreads"
-
-# We no longer include suidperl.  To quote the INSTALL file:
-#
-#   Because of the buggy history of suidperl, and the difficulty
-#   of properly security auditing as large and complex piece of
-#   software as Perl, we cannot recommend using suidperl and the feature
-#   should be considered deprecated.
-#   Instead use for example 'sudo': http://www.courtesan.com/sudo/
-
-# Configure perl:
-./Configure -de \
-  -Dprefix=/usr \
-  -Dcccdlflags='-fPIC' \
-  -Dinstallprefix=/usr \
-  -Doptimize="$SLKCFLAGS" \
-  $USE_THREADS \
-  -Dinc_version_list='5.8.6 5.8.5 5.8.4 5.8.3 5.8.2 5.8.1 5.8.0' \
-  -Darchname=$ARCH-linux
-
-# Build perl
-make || exit 1
-#make test || exit 1
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-14.2/source/d/perl/
+# Created at Thu Sep  6 16:26:30 CEST 2018
 
 
-# Install perl package:
-make install DESTDIR=$PKG || exit 1
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./perl.SlackBuild.orig
 
 
-# Strip everything:
-( cd $PKG
-  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
 
-# There are also miniperl and microperl.
-# I haven't had any requests for them, but would be willing
-# to consider adding one or both to the package if anyone
-# actually needs them for some reason.
-#make microperl
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
 
-# Symlinks that replace hard links
-( cd $PKG/usr/bin
-  ln -sf perl$VERSION perl
-  ln -sf c2ph pstruct
-  ln -sf s2p psed )
-
-# Install documentation
-mkdir -p $PKG/usr/doc/perl-$VERSION
-cp -a \
-  AUTHORS Artistic Copying INSTALL MANIFEST README README.Y2K README.cn README.jp README.ko README.micro README.tw Todo.micro \
-  $PKG/usr/doc/perl-$VERSION
-
-# We follow LSB with symlinks in /usr/share:
-( cd $PKG/usr/share
-  mv man .. )
-( cd $PKG/usr/man/man1
-  mkdir foo
-  cp *.1 foo
-  rm *.1
-  mv foo/* .
-  rmdir foo
-  gzip -9 *
-  ln -sf c2ph.1.gz pstruct.1.gz
-  ln -sf s2p.1.gz psed.1.gz )
-( cd $PKG/usr/man/man3
-  gzip -9 * )
-
-chown -R root.bin $PKG/usr/bin
-chmod 755 $PKG/usr/bin/*
-chmod 644 $PKG/usr/man/man?/*
-rmdir $PKG/usr/share
-
-# Insert the slack-desc:
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-# Build the package:
-cd $PKG
-makepkg -l y -c n $CWD/perl.pkg || exit 1
-echo $VERSION > $CWD/perl.version || exit 1
-echo $ARCH > $CWD/perl.arch || exit 1
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done